Module java.desktop
Package javax.swing.event

# Enum Class RowSorterEvent.Type

java.lang.Object
java.lang.Enum<RowSorterEvent.Type>
javax.swing.event.RowSorterEvent.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<RowSorterEvent.Type>`, `Constable`

Enclosing class:
  `RowSorterEvent`

public static enum RowSorterEvent.Type extends Enum<RowSorterEvent.Type>
Enumeration of the types of `RowSorterEvent`s.

Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SORT_ORDER_CHANGED`
Indicates the sort order has changed.
`SORTED`
Indicates the contents have been newly sorted or transformed in some way.

## Method Summary

Modifier and Type
Method
Description
`static RowSorterEvent.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RowSorterEvent.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SORT_ORDER_CHANGED

public static final RowSorterEvent.Type SORT_ORDER_CHANGED
Indicates the sort order has changed.

### SORTED

public static final RowSorterEvent.Type SORTED
Indicates the contents have been newly sorted or transformed in some way.

## Method Details

### values

public static RowSorterEvent.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RowSorterEvent.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null